clang-tools 8.0.0

Classes | Namespaces | Functions
YAMLGenerator.cpp File Reference
`#include "Generators.h"`
`#include "llvm/Support/YAMLTraits.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for YAMLGenerator.cpp:

Go to the source code of this file.

## Classes
struct | llvm::yaml::ScalarEnumerationTraits< clang::AccessSpecifier >
struct | llvm::yaml::ScalarEnumerationTraits< clang::TagTypeKind >
struct | llvm::yaml::ScalarEnumerationTraits< InfoType >
struct | llvm::yaml::ScalarTraits< SmallString< U > >
struct | llvm::yaml::ScalarTraits< std::array< unsigned char, 20 > >
struct | llvm::yaml::MappingTraits< Location >
struct | llvm::yaml::MappingTraits< Reference >
struct | llvm::yaml::MappingTraits< TypeInfo >
struct | llvm::yaml::MappingTraits< FieldTypeInfo >
struct | llvm::yaml::MappingTraits< MemberTypeInfo >
struct | llvm::yaml::MappingTraits< NamespaceInfo >
struct | llvm::yaml::MappingTraits< RecordInfo >
struct | llvm::yaml::MappingTraits< EnumInfo >
struct | llvm::yaml::MappingTraits< FunctionInfo >
struct | llvm::yaml::MappingTraits< CommentInfo >
struct | llvm::yaml::MappingTraits< std::unique_ptr< CommentInfo > >
class | clang::doc::YAMLGenerator
| Generator for YAML documentation. More...

## Namespaces
| llvm
| Some operations such as code completion produce a set of candidates.
| llvm::yaml
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc

## Functions
static void | llvm::yaml::TypeInfoMapping (IO &IO, TypeInfo &I)
static void | llvm::yaml::FieldTypeInfoMapping (IO &IO, FieldTypeInfo &I)
static void | llvm::yaml::InfoMapping (IO &IO, Info &I)
static void | llvm::yaml::SymbolInfoMapping (IO &IO, SymbolInfo &I)
static void | llvm::yaml::CommentInfoMapping (IO &IO, CommentInfo &I)
static GeneratorRegistry::Add< YAMLGenerator > | clang::doc::YAML (YAMLGenerator::Format, "Generator for YAML output.")